//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "sysutils"
#pragma link "Chart"
#pragma link "IWBaseControl"
#pragma link "IWBaseHTMLControl"
#pragma link "IWtchart"
#pragma link "IWControl"
#pragma link "IWExtCtrls"
#pragma link "IWVCLBaseControl"
#pragma link "Series"
#pragma link "TeEngine"
#pragma link "TeeProcs"
#pragma link "IWCompCheckbox"
#pragma link "IWCompLabel"
#pragma link "IWCompListbox"
#pragma link "IWCompButton"
#pragma link "IWCompEdit"
#pragma link "IWTMSCtrls"
#pragma link "IWContainer"
#pragma link "IWHTML40Container"
#pragma link "IWHTMLContainer"
#pragma link "IWRegion"
#pragma link "IWVCLBaseContainer"
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TIWForm1::TIWForm1(TComponent* Owner)
		: TIWAppForm(Owner)
{

}
//---------------------------------------------------------------------------

void setAsMainForm() {
  TIWForm1::SetAsMainForm();
 }
#pragma startup setAsMainForm
void __fastcall TIWForm1::IWAppFormCreate(TObject *Sender)
{
IWChart2=new TIWTChart(NULL,iheight->Parent);
//IWChart2->Chart->AutoSize=false;
IWChart2->Top=iheight->Top+40;
IWChart2->Left=iheight->Left;
IWChart2->Chart->Width=StrToInt(iwidth->Text);
IWChart2->Chart->Height=StrToInt(iheight->Text);
IWChart2->Chart->Chart3DPercent=StrToInt(depth->Text);
style->ItemIndex=3;
styleChange(NULL);
IWChart2->Chart->View3DOptions->Elevation=StrToInt(elevation->Text);
IWChart2->Chart->Title->Font->Name="Arial";
IWChart2->Chart->Title->Font->Size=20;
IWChart2->Chart->Title->Font->Color=clRed;
IWChart2->Chart->Title->Text->Clear();
IWChart2->Chart->Title->Text->Add("Chart 2 Title");
IWChart2->Chart->Title->Text->Add("Chart 2 Title Line 2");
IWChart2->Chart->LeftAxis->Title->Caption="$$$";
IWChart2->Chart->LeftAxis->Title->Font->Name="Arial";
IWChart2->Chart->LeftAxis->Title->Font->Color=clGreen;
IWChart2->Chart->LeftAxis->Title->Font->Size=10;
IWChart2->Chart->BottomAxis->Title->Caption="Month";
IWChart2->Chart->BottomAxis->Title->Font->Color=clBlue;
IWChart2->Chart->BottomAxis->Title->Font->Name="Arial";
IWChart2->Chart->BottomAxis->Title->Font->Size=10;
IWChart2->Chart->View3D=Chart13d->Checked;
IWChart2->Visible=true;

quality->ItemIndex=6;
qualityChange(NULL);
showmarksClick(NULL);
}
//---------------------------------------------------------------------------

void __fastcall TIWForm1::Chart13dClick(TObject *Sender)
{
  IWChart2->Chart->View3D=Chart13d->Checked;
}
//---------------------------------------------------------------------------

void __fastcall TIWForm1::qualityChange(TObject *Sender)
{
  Integer nQual;
  switch (quality->ItemIndex) {

	case 0: nQual=1;
			break;
	case 1: nQual=10;
			break;
	case 2: nQual=20;
			break;
	case 3: nQual=40;
			break;
	case 4: nQual=60;
			break;
	case 5: nQual=80;
			break;
	case 6: nQual=90;
			break;
	default :nQual=100;
  }
  IWChart2->JpegOptions->CompressionQuality=nQual;

}
//---------------------------------------------------------------------------

void __fastcall TIWForm1::showmarksClick(TObject *Sender)
{
  MySeries->Marks->Visible=showmarks->Checked;

}
//---------------------------------------------------------------------------

void __fastcall TIWForm1::styleChange(TObject *Sender)
{
// TChartSeries *MySeries;
   TPieSeries *MyPieSeries;
 IWChart2->Chart->FreeAllSeries(NULL);
 switch (style->ItemIndex) {
	case 0: MySeries= new TLineSeries(NULL);
			break;
	case 1: MySeries=new TBarSeries(NULL);
			break;
	case 2: MySeries=new TAreaSeries(NULL);
			break;
	case 3: MyPieSeries=new TPieSeries(NULL);
			MyPieSeries->Circled = True;
			MySeries=MyPieSeries;
			break;
	case 4: MyPieSeries=new TPieSeries(NULL);
			MyPieSeries->ExplodeBiggest = 30;
			MyPieSeries->Circled = True;
			MySeries=MyPieSeries;
			break;
  default: MySeries=new TPointSeries(NULL)
  ;
  }
MySeries->Add(100,"Jan",clRed);
MySeries->Add(200,"Feb",clBlue);
MySeries->Add(400,"Mar",clGreen);
MySeries->Marks->Visible=showmarks->Checked;
markstypeClick(NULL);
IWChart2->Chart->AddSeries(MySeries);
IWChart2->Chart->View3DOptions->Elevation=StrToInt(elevation->Text);
}
//---------------------------------------------------------------------------

void __fastcall TIWForm1::markstypeClick(TObject *Sender)
{
if (markstype->Checked) {
 MySeries->Marks->Style=smsValue;
}
else { MySeries->Marks->Style=smsLabel;};

}
//---------------------------------------------------------------------------

void __fastcall TIWForm1::IWButton1Click(TObject *Sender)
{
IWChart2->Chart->Height=StrToInt(iheight->Text);
IWChart2->Chart->Width=StrToInt(iwidth->Text);
IWChart2->Chart->Chart3DPercent=StrToInt(depth->Text);
IWChart2->Chart->View3DOptions->Elevation=StrToInt(elevation->Text);
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

