//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <IWAppForm.hpp>
#include "Chart.hpp"
#include "IWBaseControl.hpp"
#include "IWBaseHTMLControl.hpp"
#include "IWTChart.hpp"
#include "IWControl.hpp"
#include "IWExtCtrls.hpp"
#include "IWVCLBaseControl.hpp"
#include "Series.hpp"
#include "TeEngine.hpp"
#include "TeeProcs.hpp"
#include <ExtCtrls.hpp>
#include "IWCompCheckbox.hpp"
#include "IWCompLabel.hpp"
#include "IWCompListbox.hpp"
#include "IWCompButton.hpp"
#include "IWCompEdit.hpp"
#include "IWTMSCtrls.hpp"
#include "IWContainer.hpp"
#include "IWHTML40Container.hpp"
#include "IWHTMLContainer.hpp"
#include "IWRegion.hpp"
#include "IWVCLBaseContainer.hpp"

//---------------------------------------------------------------------------
class TIWForm1: public TIWAppForm
{
__published:	// IDE-managed Components
	TIWCheckBox *Chart13d;
	TIWLabel *IWLabel1;
	TIWComboBox *quality;
	TIWCheckBox *showmarks;
	TIWLabel *IWLabel2;
	TIWComboBox *style;
	TIWCheckBox *markstype;
	TTIWAdvEdit *iheight;
	TTIWAdvEdit *iwidth;
	TIWLabel *IWLabel3;
	TIWLabel *IWLabel4;
	TIWButton *IWButton1;
	TTIWAdvEdit *depth;
	TIWLabel *IWLabel5;
	TTIWAdvEdit *elevation;
	TIWLabel *IWLabel6;
	void __fastcall IWAppFormCreate(TObject *Sender);
	void __fastcall Chart13dClick(TObject *Sender);
	void __fastcall qualityChange(TObject *Sender);
	void __fastcall showmarksClick(TObject *Sender);
	void __fastcall styleChange(TObject *Sender);
	void __fastcall markstypeClick(TObject *Sender);
	void __fastcall IWButton1Click(TObject *Sender);
private:	// User declarations
	TChartSeries *MySeries;
	TIWTChart *IWChart2;
public:		// User declarations
		__fastcall TIWForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
#endif
